Bug 25696 - Test prediction pattern button is invalid HTML
Summary: Test prediction pattern button is invalid HTML
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: David Cook
QA Contact: Testopia
URL:
Keywords:
Depends on: 22408
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-09 05:03 UTC by David Cook
Modified: 2020-07-02 23:19 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01, 19.11.07, 19.05.13


Attachments
Bug 25696: Correct "Test prediction pattern" HTML button (1.77 KB, patch)
2020-06-09 06:07 UTC, David Cook
Details | Diff | Splinter Review
Bug 25696: Correct "Test prediction pattern" HTML button (1.83 KB, patch)
2020-06-11 19:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2020-06-09 05:03:02 UTC
It looks like the "Test prediction pattern" button is invalid HTML. Browsers like Chrome just fix it, but IE 11 complains about it.
Comment 1 David Cook 2020-06-09 06:07:56 UTC
Created attachment 105654 [details] [review]
Bug 25696: Correct "Test prediction pattern" HTML button

This patch corrects the closing tag for the "Test prediction pattern"
button from "</a>" to "</button>"

Test plan:
1. Apply the patch
2. Create a serial subscription from a new or existing bib record
3. Choose any frequency, numbering pattern, and subscription start
date you choose (ie fill out all mandatory subscription fields)
4. Click "Test prediction pattern"
5. Note that the prediction pattern appears on the right of the screen
Comment 2 Katrin Fischer 2020-06-11 19:23:50 UTC
Created attachment 105773 [details] [review]
Bug 25696: Correct "Test prediction pattern" HTML button

This patch corrects the closing tag for the "Test prediction pattern"
button from "</a>" to "</button>"

Test plan:
1. Apply the patch
2. Create a serial subscription from a new or existing bib record
3. Choose any frequency, numbering pattern, and subscription start
date you choose (ie fill out all mandatory subscription fields)
4. Click "Test prediction pattern"
5. Note that the prediction pattern appears on the right of the screen

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2020-06-11 19:24:32 UTC
Obvious one line fix - switching to PQA.
Comment 4 Jonathan Druart 2020-06-15 10:01:06 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-06-17 22:48:07 UTC
backported to 20.05.x for 20.05.01
Comment 6 Aleisha Amohia 2020-06-22 03:23:54 UTC
backported to 19.11.x for 19.11.07
Comment 7 Victor Grousset/tuxayo 2020-07-02 23:19:29 UTC
Backported to 19.05.x branch for 19.05.13